import { SignalBufferSettingsConfig, SignalPersistentStorage } from '../buffer';
import { SignalsIngestSettingsConfig } from '../client';
import { SandboxSettingsConfig } from '../processor/sandbox';
export interface SignalsSettingsConfig {
    maxBufferSize?: number;
    signalStorage?: SignalPersistentStorage;
    processSignal?: string;
    apiHost?: string;
    functionHost?: string;
    flushAt?: number;
    flushInterval?: number;
    disableSignalRedaction?: boolean;
}
/**
 * Global settings for the application
 * In the future this pattern may allows us to add settings which can be dynamically set by the user.
 * Currently, this is just a way to pass settings to the different parts of the application.
 */
export declare class SignalGlobalSettings {
    sandbox: SandboxSettingsConfig;
    signalBuffer: SignalBufferSettingsConfig;
    ingestClient: SignalsIngestSettingsConfig;
    private redaction;
    constructor(settings: SignalsSettingsConfig);
    update({ edgeFnDownloadURL }: {
        edgeFnDownloadURL?: string;
    }): void;
}
//# sourceMappingURL=settings.d.ts.map